Skip to main content
PATCH
Rename an edge (home edges only)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string

ID da organização para contexto (opcional). Quando presente, filtra recursos da org.

Path Parameters

id
integer
required

ID numérico do edge

Body

application/json
name
string
required

Novo nome do edge

Maximum string length: 64

Response

Edge updated

id
integer
name
string
org_id
string | null
user_id
string
location
enum<string>
Available options:
cloud,
home
status
enum<string>
Available options:
pending,
paired,
offline,
online
capabilities
object
last_seen_at
string<date-time> | null
paired_at
string<date-time> | null
created_at
string<date-time>